Overview | Package | Class | Tree | Deprecated | Index | Help
| Apache JMeter
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.jmeter.testelement
Class LineChart

    java.lang.Object
      org.apache.jmeter.testelement.AbstractTestElement
          org.apache.jmeter.testelement.AbstractChart
              org.apache.jmeter.testelement.LineChart

All Implemented Interfaces:
  Cloneable, ReportChart, Serializable, TestElement

public class LineChart
extends AbstractChart

See Also:
  Serialized Form

Field Summary
`protected int` | `height`
`protected int` | `shape_counter`
`protected int` | `width`

Fields inherited from class org.apache.jmeter.testelement.AbstractChart
`DEFAULT_HEIGHT, DEFAULT_WIDTH, image, REPORT_CHART_CAPTION, REPORT_CHART_HEIGHT, REPORT_CHART_TITLE, REPORT_CHART_WIDTH, REPORT_CHART_X_AXIS, REPORT_CHART_X_LABEL, REPORT_CHART_Y_AXIS, REPORT_CHART_Y_LABEL, X_DATA_DATE_LABEL, X_DATA_FILENAME_LABEL, X_LABELS`

Fields inherited from interface org.apache.jmeter.testelement.TestElement
`COMMENTS, ENABLED, GUI_CLASS, NAME, TEST_CLASS`

Constructor Summary
`LineChart()`

Method Summary
`double[][]` | `convertToDouble(List data)`
`Shape[]` | `createShapes(int count)` Since we only have 4 shapes, the method will start with the first shape and keep cycling through the shapes in order.
`Stroke[]` | `createStrokes(int count)`
`String` | `getURLs()`
`Shape` | `nextShape()` Return the next shape
`Stroke` | `nextStroke()`
`JComponent` | `renderChart(List dataset)` Subclasses will need to implement the method by doing the following: 1. get the x and y axis 2. filter the table data 3. pass the data to the chart library 4. return the generated chart
`JComponent` | `renderGraphics(double[][] data, String[] xAxisLabels)`
`void` | `setURLs(String urls)`

Methods inherited from class org.apache.jmeter.testelement.AbstractChart
`getBufferedImage, getCaption, getFormattedXAxis, getHeight, getTitle, getValue, getWidth, getXAxis, getXLabel, getYAxis, getYLabel, setBufferedImage, setCaption, setHeight, setTitle, setWidth, setXAxis, setXLabel, setYAxis, setYLabel`

Methods inherited from class org.apache.jmeter.testelement.AbstractTestElement
`addProperty, addTestElement, canRemove, clear, clearTemporary, clone, emptyTemporary, equals, getComment, getName, getProperty, getPropertyAsBoolean, getPropertyAsBoolean, getPropertyAsDouble, getPropertyAsFloat, getPropertyAsInt, getPropertyAsInt, getPropertyAsLong, getPropertyAsString, getPropertyAsString, getThreadContext, getThreadName, hashCode, isEnabled, isRunningVersion, isTemporary, logProperties, mergeIn, propertyIterator, recoverRunningVersion, removeProperty, setComment, setName, setProperty, setProperty, setProperty, setProperty, setProperty, setProperty, setProperty, setRunningVersion, setTemporary, setThreadContext, setThreadName, traverse, traverseCollection, traverseMap, traverseProperty`

Methods inherited from class java.lang.Object
`finalize, getClass, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### width

    protected int width

### height

    protected int height

### shape_counter

    protected int shape_counter

Constructor Detail

### LineChart

    public LineChart()

Method Detail

### getURLs

    public String getURLs()

### setURLs

    public void setURLs(String urls)

### convertToDouble

    public double[][] convertToDouble(List data)

### renderChart

    public JComponent renderChart(List dataset)

  Description copied from class: `AbstractChart`
  Subclasses will need to implement the method by doing the following: 1. get the x and y axis 2. filter the table data 3. pass the data to the chart library 4. return the generated chart

  Specified by:
    `renderChart` in interface `ReportChart`
  Specified by:
    `renderChart` in class `AbstractChart`

### renderGraphics

    public JComponent renderGraphics(double[][] data,
                                     String[] xAxisLabels)

### createShapes

    public Shape[] createShapes(int count)

  Since we only have 4 shapes, the method will start with the first shape and keep cycling through the shapes in order.

  Parameters:
    `count` -
  Returns:
    array of shapes

### nextShape

    public Shape nextShape()

  Return the next shape

  Returns:
    the shape

### createStrokes

    public Stroke[] createStrokes(int count)

  Parameters:
    `count` -
  Returns:
    array of strokes

### nextStroke

    public Stroke nextStroke()

Overview | Package | Class | Tree | Deprecated | Index | Help
| Apache JMeter
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 1998-2009 Apache Software Foundation. All Rights Reserved.